########## Example #########
############################
#Robust depth-based estimation of the structural mean in the time-warping model (Arribas-Gil and Romo, Biostatistics 2012)
#Ana Arribas-Gil, 2013  ana.arribas@uc3m.es

p<-200
n<-50
t<-seq(-5,5,,p)
x<-matrix(0,n,p)
for (i in 1:n){
x[i,]<-exp(-(t-rnorm(1))^2)/(2*pi)
}

# Plot of the sample and deepest curve (black)
MonMBM(x)